Call Vehicle Data API
This explains the procedure for calling the Vehicle Data API with an example.
API URL
https://api.pleos.ai
Header
Authorization API Header
| Parameter | Type | Description | Required |
|---|---|---|---|
| Content-Type | string | application/json | Optional |
| Brand | string | Vehicle brand (hyundai/kia/genesis) | Required |
Vehicle Data API Header
| Parameter | Type | Description | Required |
|---|---|---|---|
| Authorization | string | Bearer accessToken | Required |
| Content-Type | string | application/json | Optional |
| Brand | string | Vehicle brand (hyundai/kia/genesis) | Required |
Call Vehicle Data API
The Vehicle Data API allows you to call each API independently without a specific sequence. However, you must first acquire an access token before calling the Vehicle Data API.
- Call the access token issuance API.
- Refer to the Authentication document.
- Request the vehicle owners's agreement for vehicle selection and connected car data sharing.
- Refer to the Request for Data Sharing document.
- Include the access token and Vehicle Identification Number(VIN) in the header and path parameters of the API request.
- Call the Vehicle Data API and check the result.
- To check the vehicle battery status, call the
https://api.pleos.ai/v1/vehicles/{vin}/batteriesAPI.
curlcurl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/batteries" \-H "Authorization: Bearer <ACCESS_TOKEN>" \-H "Content-Type: application/json" \-H "Brand: hyundai" - To check the vehicle battery status, call the
Response Message
Success
A successful response follows the Response Envelope format below.
Response Envelope
{
"data": {
...
},
"meta": {
"code": 200,
"message": "Success",
"success": true,
"timestamp": "2026-07-03T10:00:00+09:00",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246"
}
}
| Field | Type | Description |
|---|---|---|
| data | object | Response payload for each API |
| meta | object | Response metadata |
| meta.code | number | Response code |
| meta.message | string | Response message |
| meta.success | boolean | Whether the request succeeded |
| meta.timestamp | string | Response timestamp |
| meta.requestId | string | Request ID |
Failure
A failed response follows the Error Response format below.
Error Response
{
"error": {
"code": "40001",
"message": "Invalid Parameters",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246",
"details": [
{
"field": "identifier",
"issue": "must not be blank."
}
],
"timestamp": "2026-07-03T10:00:00+09:00"
}
}
| Field | Type | Description |
|---|---|---|
| error | object | Error information |
| error.code | string | Error code |
| error.message | string | Error message |
| error.requestId | string | Request ID |
| error.details | array | Detailed error list |
| error.details.field | string | Field where the error occurred |
| error.details.issue | string | Issue description for the field |
| error.timestamp | string | Response timestamp |
info
For the error code list, see Error Response.